Package commoble.morered

# Record Class ServerConfig

java.lang.Object
java.lang.Record
commoble.morered.ServerConfig

public record ServerConfig(net.neoforged.neoforge.common.ModConfigSpec.ConfigValue<Double> maxWirePostConnectionRange) extends Record

## Field Summary

Fields
Modifier and Type
Field
Description
`static ServerConfig`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`ServerConfig(net.neoforged.neoforge.common.ModConfigSpec.ConfigValue<Double> maxWirePostConnectionRange)`
Creates an instance of a `ServerConfig` record class.

## Method Summary

Modifier and Type
Method
Description
`static ServerConfig`
`create(net.neoforged.neoforge.common.ModConfigSpec.Builder builder)`
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`static void`
`initServerConfig()`
`net.neoforged.neoforge.common.ModConfigSpec.ConfigValue<Double>`
`maxWirePostConnectionRange()`
Returns the value of the `maxWirePostConnectionRange` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### INSTANCE

public static ServerConfig INSTANCE

## Constructor Details

### ServerConfig

public ServerConfig(net.neoforged.neoforge.common.ModConfigSpec.ConfigValue<Double> maxWirePostConnectionRange)
Creates an instance of a `ServerConfig` record class.

Parameters:
  `maxWirePostConnectionRange` - the value for the `maxWirePostConnectionRange` record component

## Method Details

### initServerConfig

public static void initServerConfig()

### create

public static ServerConfig create(net.neoforged.neoforge.common.ModConfigSpec.Builder builder)

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### maxWirePostConnectionRange

public net.neoforged.neoforge.common.ModConfigSpec.ConfigValue<Double> maxWirePostConnectionRange()
Returns the value of the `maxWirePostConnectionRange` record component.

Returns:
  the value of the `maxWirePostConnectionRange` record component